Index: /palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 161)
+++ /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 162)
@@ -1258,6 +1514,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwsvs
-                  res@trXMaxF            = maxiwsvs 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwsvs
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwsvs 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
                end if
@@ -1272,6 +1544,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwv
-                  res@trXMaxF            = maxiwv 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwv
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwv
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1287,6 +1575,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwpptp
-                  res@trXMaxF            = maxiwpptp 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwpptp
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwpptp
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1301,6 +1605,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwspts
-                  res@trXMaxF            = maxiwspts 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwspts
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwspts
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
                end if
@@ -1315,6 +1635,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwpt
-                  res@trXMaxF            = maxiwpt 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwpt
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwpt
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1330,6 +1666,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwsptsBC
-                  res@trXMaxF            = maxiwsptsBC 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwsptsBC
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwsptsBC
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if 
@@ -1344,6 +1696,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwptBC
-                  res@trXMaxF            = maxiwptBC 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwptBC
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwptBC
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
                end if
@@ -1359,6 +1727,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwpvptp
-                  res@trXMaxF            = maxiwpvptp 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwpvptp
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwpvptp
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1373,6 +1757,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwsvpts
-                  res@trXMaxF            = maxiwsvpts 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwsvpts
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwsvpts
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
                end if
@@ -1387,6 +1787,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwvpt
-                  res@trXMaxF            = maxiwvpt 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwvpt
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwvpt
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1402,6 +1818,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwpqp
-                  res@trXMaxF            = maxiwpqp 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwpqp
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwpqp
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1416,6 +1848,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwsqs
-                  res@trXMaxF            = maxiwsqs 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwsqs
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwsqs
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
                end if
@@ -1430,6 +1878,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwq
-                  res@trXMaxF            = maxiwq 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwq
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwq
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1445,6 +1909,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwpqvp
-                  res@trXMaxF            = maxiwpqvp 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwpqvp
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwpqvp
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if 
@@ -1459,6 +1939,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwsqvs
-                  res@trXMaxF            = maxiwsqvs 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwsqvs
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwsqvs
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
                end if
@@ -1473,6 +1969,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwqv
-                  res@trXMaxF            = maxiwqv 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwqv
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwqv
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1488,6 +2000,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwpsp
-                  res@trXMaxF            = maxiwpsp 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwpsp
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwpsp
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if 
@@ -1502,6 +2030,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwsss
-                  res@trXMaxF            = maxiwsss 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwsss
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwsss
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
                end if
@@ -1516,6 +2060,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniws
-                  res@trXMaxF            = maxiws 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniws
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiws
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if 
@@ -1531,6 +2091,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwpsap
-                  res@trXMaxF            = maxiwpsap 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwpsap
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwpsap
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if 
@@ -1545,6 +2121,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwssas
-                  res@trXMaxF            = maxiwssas 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwssas
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwssas
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
                end if
@@ -1559,22 +2151,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwsa
-                  res@trXMaxF            = maxiwsa 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
-               end if
-            end if
-
-            if (vNam(varn) .EQ. "wses") then                
-               if (over .EQ. 1) then
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min(data(varn,:,:))
-                  res@trXMaxF            = max(data(varn,:,:))
-                  plot_wses = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
-               else
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min(data(varn,:,:))
-                  res@trXMaxF            = max(data(varn,:,:)) 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwsa
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwsa
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1590,6 +2182,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minius2
-                  res@trXMaxF            = maxius2 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minius2
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxius2
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
                end if 
@@ -1604,6 +2212,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minivs2
-                  res@trXMaxF            = maxivs2 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minivs2
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxivs2
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
                end if
